<template>
  <div class="app-index">
    <div class="layout-container">
      <!-- SECTION1 -->
      <div class="section1" id="section1">
        <div class="row m-0 space align-items-center">
          <div class="col-12 col-md">
            <div class="textbox">
              <div class="text-main">INTO <br />THE SKY</div>
              <div class="text-sub">
                <p class="font-somatic">31 MAY - 3 JUNE 2018</p>
                <p>FACULTY OF INFORMATION TECHNOLOGY</p>
                <p>KING MONGKUT'S INSTITUTE OF TECHNOLOGY LADKRABANG</p>
              </div>
            </div>
          </div>
          <div class="col d-none d-md-block">
            <div class="logo text-right">
              <img src="../../assets/images/frontend/logo.png" />
            </div>
          </div>
        </div>
      </div>
      <div class="separator-button"></div>

      <!-- SECTION2 -->
      <div class="section2" id="section2">
        <div class="row m-0 space">
          <div class="col-12 col-md"></div>
          <div class="col">
            <div class="textbox">
              <div class="text-sub row m-0">
                <div class="col">
                  <div class="pinned">
                    <div class="pin"></div>
                    <div class="pin"></div>
                    <div class="pin"></div>
                    <div class="pin"></div>
                  </div>
                  <span class="font-somatic">ITCAMP14'S STORY</span>
                </div>
              </div>
              <div class="text-main row m-0">
                <div class="col">5 PLANETS <br />1 HOME</div>
              </div>
            </div>
            <div class="textboard">
              <div class="row m-0">
                <p class="col">
                  โอกาสครั้งยิ่งใหญ่มาถึงแล้ว เปิดรับนักสำรวจอวกาศรุ่นจิ๋ว ม.4-6 และ ปวช.1-3
                  มาร่วมสำรวจดาวเคราะห์แห่งใหม่ที่คล้ายกับโลก เมื่อวิถีการเคลื่อนที่ของอุกกาบาตมุ่งตรงมาสู่โลก
                  ทำให้โลกไม่พร้อมที่จะให้เราอยู่อีกต่อไป มาร่วมเป็นส่วนหนึ่งในการสำรวจไปกับเรา
                </p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="star-float star-green d-none d-lg-block">
        <img src="../../assets/images/star/star-green.png" />
      </div>

      <!-- SECTION3 -->
      <div class="section3" id="section3">
        <div class="separator-top"></div>
        <div class="space">
          <div class="row m-0">
            <div class="col">
              <div class="text-main text-center">
                SPONSOR
              </div>
            </div>
          </div>
          <div class="row m-0 image-box1 text-center">
            <div class="col-6 col-md-4 text-right">
              <a href="http://www.kmitl.ac.th/th" target="_black">
                <img src="../../assets/images/sponsor/kmitl.png" class="w-75" />
              </a>
            </div>
            <div class="col-6 col-md-4 text-center">
              <a href="http://www.it.kmitl.ac.th/" target="_black">
                <img src="../../assets/images/sponsor/it.png" class="w-75" />
              </a>
            </div>
            <div class="col-6 col-md-4 text-left">
              <a href="https://www.borntodev.com/" target="_black">
                <img src="../../assets/images/sponsor/btd.png" class="w-75" />
              </a>
            </div>
            <div class="col-6 col-md-4 text-right">
              <a href="https://thothzocial.com/" target="_black">
                <img src="../../assets/images/sponsor/thotzocial.png" class="w-75" />
              </a>
            </div>
            <div class="col-6 col-md-4 text-center">
              <a href="http://www.sellsuki.co.th/" target="_black">
                <img src="../../assets/images/sponsor/sponsor.png" class="w-75" />
              </a>
            </div>
            <div class="col-6 col-md-4 text-left">
              <a href="https://www.camphub.in.th/" target="_black">
                <img src="../../assets/images/sponsor/camphub.png" class="w-75" />
              </a>
            </div>
          </div>
          <div class="row m-0 image-box1 mb-5">
            <div class="col-4 col-md-4 text-right">
              <a href="http://www.bangkokinsurance.com/" target="_black">
                <img src="../../assets/images/sponsor/BNKIN.png" class="w-50" />
              </a>
            </div>
            <div class="col-4 col-md-4 text-center">
              <a href="https://www.itone.co.th/" target="_black">
                <img src="../../assets/images/sponsor/itone.png" class="w-50" />
              </a>
            </div>
            <div class="col-4 col-md-4 text-left">
              <a href="http://www.ookbeecomics.com/" target="_black">
                <img src="../../assets/images/sponsor/oakbee.png" class="w-50" />
              </a>
            </div>
            <div class="col-4 col-md-4 text-right">
              <a href="http://www.lactasoy.com/th/" target="_black">
                <img src="../../assets/images/sponsor/lactasoy.png" class="w-50" />
              </a>
            </div>
            <div class="col-4 col-md-4 text-center">
              <a href="http://www.nkdonut.com/" target="_black">
                <img src="../../assets/images/sponsor/NKD.png" class="w-50" />
              </a>
            </div>
            <div class="col-4 col-md-4 text-left">
              <a href="https://www.koh-kae.com/th/" target="_black">
                <img src="../../assets/images/sponsor/maeruay.png" class="w-50" />
              </a>
            </div>
          </div>
        </div>
        <div class="star-float star-02 d-none d-lg-block">
          <img src="../../assets/images/star/spitnik.png" />
        </div>
        <div class="separator-top"></div>
      </div>

      <!-- SECTION4  -->
      <camp-slide />

      <!-- SECTION5 -->
      <div class="section5" id="section5">
        <div class="separator-top"></div>
        <div class="star-float star-03 d-none d-lg-block">
          <img src="../../assets/images/star/star-blue.png" />
        </div>
        <div class="star-float star-04 d-none d-lg-block">
          <img src="../../assets/images/star/apollo11-top.png" />
        </div>
        <div class="row m-0 space">
          <div class="col">
            <div class="textbox">
              <div class="text-sub">
                <div class="pinned">
                  <div class="pin pin-dark"></div>
                  <div class="pin pin-dark"></div>
                  <div class="pin pin-dark"></div>
                  <div class="pin"></div>
                </div>
                <span class="font-somatic">HIGHLIGHT</span>
              </div>
              <div class="text-main row m-0">SNEAK INSIDE<br />THE SHIP</div>
            </div>
          </div>
        </div>
        <image-slide />
        <div class="separator-button"></div>
        <div class="star-float star-05 d-none d-lg-block">
          <img src="../../assets/images/star/star-orange.png" />
        </div>
      </div>

      <!-- SECTION6 -->
      <div class="section6" id="section6">
        <div class="space row m-0">
          <div class="col">
            <div class="textbox">
              <div class="text-sub">
                <div class="pinned">
                  <div class="pin"></div>
                  <div class="pin"></div>
                  <div class="pin"></div>
                  <div class="pin"></div>
                </div>
                <span class="font-somatic">TIMELINE</span>
              </div>
              <div class="text-main">NOW<br />RECRUITING</div>
              <div class="text-added">
                Timeline
              </div>
            </div>
            <div class="img-block mb-5">
              <div class="row m-0">
                <div class="col-12 col-md">
                  <div class="img-container  active">
                    <img src="../../assets/images/timeline/timeline-1.svg" />
                  </div>
                  <div class="text">
                    <b>เปิดรับสมัคร</b><br />
                    <span>NOW - 8 MAY 2018</span>
                  </div>
                </div>
                <div class="col-12 col-md">
                  <div class="img-container">
                    <img src="../../assets/images/timeline/timeline-2.svg" />
                  </div>
                  <div class="text">
                    <b>ประกาศผล<br />และยืนยันสิทธิ์</b><br />
                    <span>13 MAY 2018</span>
                  </div>
                </div>
                <div class="col-12 col-md">
                  <div class="img-container">
                    <img src="../../assets/images/timeline/timeline-3.svg" />
                  </div>
                  <div class="text">
                    <b>ยืนยันสิทธิ์วันสุดท้าย</b><br />
                    <span>20 MAY 2018</span>
                  </div>
                </div>
                <div class="col-12 col-md">
                  <div class="img-container">
                    <img src="../../assets/images/timeline/timeline-4.svg" />
                  </div>
                  <div class="text">
                    <b>ออกเดินทาง</b><br />
                    <span>31 MAY 2018</span>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <!-- SECTION7 -->
      <div class="section7" id="section7">
        <div class="separator-top"></div>
        <div class="star-float star-06 d-none d-lg-block">
          <img src="../../assets/images/star/star-cream.png" />
        </div>
        <div class="row m-0 space">
          <div class="col">
            <div class="textbox">
              <div class="text-sub">
                <div class="pinned">
                  <div class="pin pin-dark"></div>
                  <div class="pin pin-dark"></div>
                  <div class="pin pin-dark"></div>
                  <div class="pin"></div>
                </div>
                <span class="font-somatic">OWN STORY</span>
              </div>
              <div class="text-main row m-0">
                APPRECIATION
              </div>
            </div>
            <annou-block />
          </div>
        </div>
        <div class="separator-button"></div>
      </div>

      <!-- SECTION8 -->
      <div class="section-container" id="section8">
        <div class="section8">
          <div class="star-float star-07 d-none d-lg-block">
            <img src="../../assets/images/star/star-yellow.png" />
          </div>
          <div class="space row m-0">
            <div class="col text-center">
              <div class="textbox">
                <div class="text-sub">
                  <div class="pinned">
                    <div class="pin"></div>
                    <div class="pin"></div>
                    <div class="pin"></div>
                    <div class="pin"></div>
                  </div>
                  <span class="font-somatic">Q & A</span>
                </div>
                <div class="text-main">
                  FAQ
                </div>
                <faq-block />
              </div>
            </div>
          </div>
        </div>
        <Location />
        <div class="section8">
          <div class="space row m-0">
            <div class="col text-center">
              <div class="textbox">
                <div class="text-sub">
                  <div class="pinned">
                    <div class="pin"></div>
                    <div class="pin"></div>
                    <div class="pin"></div>
                    <div class="pin"></div>
                  </div>
                  <span class="font-somatic">CONTACT</span>
                </div>
                <div class="text-main">
                  MORE INFO.
                </div>
              </div>
              <div class="infobox">
                <div class="row m-0 social">
                  <social-box url="https://facebook.com/itcampKMITL" img="facebook.png" />
                  <social-box url="https://twitter.com/ITCAMP?lang=th" img="twitter.png" />
                </div>
                <div class="row m-0 tel">
                  <contact-info name="พี่มิ้ว" tel="094-205-5394" />
                  <contact-info name="พี่ต้อม" tel="095-614-4176" />
                </div>
              </div>
              <div class="row m-0 image-box1">
                <div class="col-4 col-md-2">
                  <a href="http://www.kmitl.ac.th/th" target="_black">
                    <img src="../../assets/images/sponsor/kmitl.png" class="w-100" />
                  </a>
                </div>
                <div class="col-4 col-md-2">
                  <a href="http://www.it.kmitl.ac.th/" target="_black">
                    <img src="../../assets/images/sponsor/it.png" class="w-100" />
                  </a>
                </div>
                <div class="col-4 col-md-2">
                  <a href="https://www.borntodev.com/" target="_black">
                    <img src="../../assets/images/sponsor/btd.png" class="w-100" />
                  </a>
                </div>
                <div class="col-4 col-md-2">
                  <a href="https://thothzocial.com/" target="_black">
                    <img src="../../assets/images/sponsor/thotzocial.png" class="w-100" />
                  </a>
                </div>
                <div class="col-4 col-md-2">
                  <a href="http://www.sellsuki.co.th/" target="_black">
                    <img src="../../assets/images/sponsor/sponsor.png" class="w-100" />
                  </a>
                </div>
                <div class="col-4 col-md-2">
                  <a href="https://www.camphub.in.th/" target="_black">
                    <img src="../../assets/images/sponsor/camphub.png" class="w-100" />
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import ImageSlide from './parts/ImageSlide';
import CampSlide from './parts/CampSlide';
import AnnouBlock from './parts/AnnouBlock';
import FaqBlock from './parts/FaqBlock';
import SocialBox from './parts/SocialBox';
import Location from './parts/Location';
import ContactInfo from './parts/ContactInfo';
import { parallax, parallax2 } from '@js/animate.js';
export default {
  name: 'Index',
  components: { ImageSlide, CampSlide, AnnouBlock, FaqBlock, SocialBox, Location, ContactInfo },
  created() {
    $(function() {
      // VARAIBLE
      var sec4 = $('.section4');
      var sec5 = $('.section5');
      var campBorderTop = sec4.offset().top - sec4.outerHeight() / 2;
      var campBorderBottom = sec5.offset().top - sec5.outerHeight() / 2;
      var checkMobile = $(window).width() < 769 ? false : true;
      let hlPrev = $('.section5 .arrow-prev');
      let hlNext = $('.section5 .arrow-next');
      var target = $('.slider-holder');
      var page = 5;
      var width = $(target).width();
      var pageWidth = $(target).width() / page;
      parallaxContainer();

      // RESIZE
      $(window).resize(function() {
        parallaxContainer();
        $('.section4 .camp-icon img').css('height', $('camp-slider').height());
        campBorderTop = sec4.offset().top - sec4.outerHeight() / 2;
        campBorderBottom = sec5.offset().top - sec5.outerHeight() / 2;
        checkMobile = $(window).width() < 769 ? false : true;
        width = $(target).width();
        pageWidth = $(target).width() / page;
      });

      // Camp image size
      $('.section4 .camp-icon img').css('height', $('camp-slider').height());

      function parallaxContainer() {
        if (checkMobile) {
          parallax2($('.section1, .section2'), $('.star-green'), 'margin', 0, 5, false, true, -1);
          parallax2($('.section2, .section3'), $('.star-02'), 'margin', 0, 5, false, true, 1);
          parallax2($('.section3, .section4'), $('.star-03'), 'margin', 0, 3, false, true, -1);
          parallax2($('.section3, .section4'), $('.star-04'), 'margin', 0, 7, false, true, 1);
          parallax2($('.section4, .section5'), $('.star-05'), 'margin', 0, 5, false, true, 1);
          parallax2($('.section5, .section6'), $('.star-06'), 'margin', 0, 7, false, true, 1);
          parallax2($('.section6, .section7'), $('.star-07'), 'margin', 0, 10, false, true, -1);
          parallax2($('.section7, .section8'), $('.star-08'), 'margin', 0, 6, false, true, -1);
          parallax2($('.section1, .section2, .section3'), $('.section2'), 'background-position', 0, 10, true, true, 1);
          parallax(
            $('.section5, .section6, .section7'),
            $('.section6 .space'),
            'background-position',
            0,
            10,
            false,
            true,
            false
          );
        }
      }
    });
  }
};
</script>

<style>
.st0 {
  fill: #ffffff;
}
</style>